Subject: Re: [IPFIX] [Fwd: I-D ACTION:draft-trammell-ipfix-sctp-change-00.txt]

From: "Boschi, Elisa" <[email-masked]>
Date: Wed, 20 Jun 2007 16:22:49 +0100

Gerhard,

Gerhard Muenz wrote:
> Elisa, Brian,
> 
> Maybe it makes sense to also relax Paragraph 9 of Section 8 by removing
> the last two sentences:
> 
>    The Template Withdraw Message MUST not be sent until sufficient time
>    has elapsed to allow the Collecting Process to receive and process
>    the last Data Record using this Template information. This time MUST
>    be configurable.  A suitable default value is 5 seconds after the
>    last Data Record has been sent.
> 
> Sending Templates and data over the same SCTP stream, we can ensure that
> the message ordering is maintained, so there is no need to wait for
> delayed data records.

If we simply relax the constraint of sending all templates over stream 0 and data records over another one, we don't necessarily mandate that templates and data are sent over the same SCTP stream...
So I don't think that we can remove those sentences.

Regards,
Elisa

> 
> Regards,
> Gerhard
> 
> 
> Boschi, Elisa wrote:
>>
>> Dear all,
>>
>> find below the proposed errata Brian mentioned in his past email. We
>> agree that the current specification on the usage of SCTP streams for
>> IPFIX is not efficient, and the restriction of sending templates on
>> stream zero unnecessary. We propose to update the protocol specification
>> by simply relaxing those constraints via this errata and believe that
>> this is a fast and effective way to solve the problem. 
>>
>> We'd appreciate comments on both the idea of solving the stream
>> selection problem this way, and on the specifics of how it is addressed
>> in this draft...
>>
>> Thanks,
>> Elisa
>>
>>
>> -------- Original Message --------
>> Subject: I-D ACTION:draft-trammell-ipfix-sctp-change-00.txt
>> Date: Fri, 25 May 2007 15:50:02 -0400
>> From: [email-masked]
>> Reply-To: [email-masked]
>> To: [email-masked]
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>>
>>
>>         Title           : IP Flow Information Export (IPFIX) SCTP Stream
>> Restriction Change
>>         Author(s)       : B. Trammell, E. Boschi
>>         Filename        : draft-trammell-ipfix-sctp-change-00.txt
>>         Pages           : 10
>>         Date            : 2007-5-25
>>        
>>    The IPFIX protocol mandates the use of PR-SCTP as transport protocol.
>>    The document specifies the transmission of Templates over SCTP stream
>>    zero with reliable delivery and the transmission of Data Records over
>>    separate streams.  This constraint is unnecessary.  This document
>>    relaxes all restrictions on the use of SCTP streams within IPFIX,
>>    allowing IPFIX implementations to use SCTP streams as most
>>    appropriate for their respective applications.
>>
>>
>>
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-trammell-ipfix-sctp-change-00.txt
>>
>> To remove yourself from the I-D Announcement list, send a message to
>> [email-masked] with the word unsubscribe in the body of
>> the message.
>> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
>> to change your subscription settings.
>>
>> Internet-Drafts are also available by anonymous FTP. Login with the
>> username "anonymous" and a password of your e-mail address. After
>> logging in, type "cd internet-drafts" and then
>> "get draft-trammell-ipfix-sctp-change-00.txt".
>>
>> A list of Internet-Drafts directories can be found in
>> http://www.ietf.org/shadow.html
>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>
>> Internet-Drafts can also be obtained by e-mail.
>>
>> Send a message to:
>>         [email-masked].
>> In the body type:
>>         "FILE /internet-drafts/draft-trammell-ipfix-sctp-change-00.txt".
>>        
>> NOTE:   The mail server at ietf.org can return the document in
>>         MIME-encoded form by using the "mpack" utility.  To use this
>>         feature, insert the command "ENCODING mime" before the "FILE"
>>         command.  To decode the response(s), you will need "munpack" or
>>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>>         exhibit different behavior, especially when dealing with
>>         "multipart" MIME messages (i.e. documents which have been split
>>         up into multiple messages), so check your local documentation on
>>         how to manipulate these messages.
>>
>> Below is the data which will enable a MIME compliant mail reader
>> implementation to automatically retrieve the ASCII version of the
>> Internet-Draft.
>>
>>
>> ------------------------------------------------------------------------
>>
>> _______________________________________________
>> IPFIX mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/ipfix
> 

_______________________________________________
IPFIX mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipfix